//---------------------------------------------------------------------------

#include <fmx.h>
#pragma hdrstop

#include "Unit7.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "FMXTee.Tools"
#pragma resource "*.fmx"
TForm7 *Form7;

__fastcall TForm7::TForm7(TComponent* Owner)
	: TForm(Owner)
{

	Series1->FillSampleValues(100);

	ChartToolRect->Left = 100;
	ChartToolRect->Width = 100;
	ChartToolRect->Top = cht1->MarginTop;
	ChartToolRect->Height = cht1->Height - cht1->MarginTop - cht1->MarginBottom;
	ChartToolRect->AllowDrag = false;
	ChartToolRect->AllowResize = false;
}

void __fastcall TForm7::cht1MouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift,
          float X, float Y)
{
	if (Y > cht1->Height * 1 / 2)
		return;

	// Move to the cusor position
	ChartToolRect->Left = X;

	// Remember the axes position of ChartToolRect
	ChartToolRect->Tag = cht1->BottomAxis->InternalCalcPosPoint(X);
}

void __fastcall TForm7::cht1Scroll(TObject *Sender)
{
	ChartToolRect->Left = Series1->CalcXPos(ChartToolRect->Tag);
}


